(function (ng) {
    /**
     * @ngdoc module
     * @module apeman-ui-contrib-angular-asserting
     * @name apeman-ui-contrib-angular-asserting
     * @description
     * apeman ui module for angular to assert.
     */

    "use strict";

    ng
        .module('apeman-ui-contrib-angular-asserting', [
        ]);
})(angular);(function (ng) {

    /**
     * @ngdoc service
     * @module apeman-ui-contrib-angular-asserting
     * @name apAssert
     * @description Asserting functions.
     */

    "use strict";

    ng
        .module('apeman-ui-contrib-angular-asserting')
        .service('apAssert', function () {
            var s = this;

            /**
             * @ngdoc method
             * @name apAssert#assert
             * @param {boolean} condition - Ok or not.
             * @param {string} msg - Message when error.
             */
            s.assert = function (condition, msg) {
                msg = msg || 'Assertion failed.';
                if (!condition) {
                    throw new Error(msg);
                }
            };

            /**
             * @ngdoc method
             * @name apAssert#assertEqual
             * @param {*} value1 - Value to compare.
             * @param {*} value2 - Value to compare.
             * @param {string} msg - Message when error.
             */
            s.assertEqual = function (value1, value2, msg) {
                s.assert(value1 == value2, msg);
            };
        });
})(angular);