#!/usr/bin/env node

/**
 * Install modules.
 */

"use strict";


var async = require('async'),
    path = require('path'),
    handybower = require('handybower'),
    tasking = require('apeman-dev-commons-tasking');

var basedir = path.resolve(__dirname, '..');

process.chdir(basedir);

tasking.runTasks([
    function (callback) {
        var handybowerData = require('../handybower.json');
        async.eachSeries(Object.keys(handybowerData), function (dirname, callback) {
            var names = handybowerData[dirname];
            handybower(names, {
                dest: dirname,
                verbose: true
            }, callback);
        }, callback);
    }
], true);