#!/usr/bin/env node

/**
 * @file Test this project.
 */

"use strict";

var testing = require('apeman-dev-commons-testing'),
    tasking = require('apeman-dev-commons-tasking'),
    uiTesting = require('apeman-dev-commons-ui-testing'),
    async = require('async'),
    path = require('path');

var basedir = path.resolve(__dirname, '..');

process.chdir(basedir);

tasking.runTasks([
    function (callback) {
        uiTesting.runKarma('start', 'assets/test/karma.conf.js', callback)
    },
    function (callback) {
        testing.runNodeunit([
            '*_test.js',
            'test/**/*_test.js'
        ], {
            reporter: 'default'
        }, callback);
    }
], true);