(function (ng) {
    /**
     * @ngdoc module
     * @module apeman-ui-contrib-angular-confirming
     * @name apeman-ui-contrib-angular-confirming
     * @description
     * apeman ui module for angular to confirm action
     */

    "use strict";

    ng
        .module('apeman-ui-contrib-angular-confirming', [
            'apeman-ui-contrib-angular-asserting',
            'apeman-ui-contrib-angular-touching',
            'apeman-ui-contrib-angular-timing',
            'apeman-ui-contrib-angular-dialoging'
        ]);
})(angular);(function (ng) {

    /**
     * @ngdoc object
     * @module apeman-ui-contrib-angular-confirming
     * @name apConfirmingTmplConst
     * @description
     * Constant for template.
     */
    "use strict";

    ng
        .module('apeman-ui-contrib-angular-confirming')
        .constant('apConfirmingTmplConst',
        {
		    "templates/ap-confirm.html": "<ap:dialog class=\"ap-confirm\">\n    <h4 class=\"ap-confirm-title\" ng:if=\"title\">{{title}}</h4>\n\n    <p class=\"ap-confirm-target\" ng:if=\"target\">{{target}}</p>\n\n    <p class=\"ap-confirm-lead\" ng:if=\"lead\">{{lead}}</p>\n\n\n    <div class=\"ap-confirm-action\">\n        <a class=\"ap-confirm-button\" ap:tap=\"cancel({$event:$event})\" ng:if=\"cancelText\">{{cancelText}}</a>\n        <a class=\"ap-confirm-button\" ap:tap=\"submit({$event:$event})\">{{submitText}}</a>\n    </div>\n</ap:dialog>"
		}
        );

})(angular);(function (ng, $) {

    /**
     * @ngdoc directive
     * @module apeman-ui-contrib-angular-confirming
     * @restrict E
     */

    "use strict";

    ng
        .module('apeman-ui-contrib-angular-confirming')
        .directive('apConfirm', function (apAssert,
                                          apConfirmingTmplConst) {
            return {
                restrict: 'E',
                scope: {
                    'title': '=apConfirmTitle',
                    'target': '=apConfirmTarget',
                    'lead': '=apConfirmLead',
                    'submitText': '=apConfirmSubmitText',
                    'submit': '&apConfirmSubmit',
                    'cancelText': '=apConfirmCancelText',
                    'cancel': '&apConfirmCancel'
                },
                link: function (scope, elm) {
                    var $elm = $(elm);
                    $elm.addClass('ap-confirm');
                },
                template:apConfirmingTmplConst['templates/ap-confirm.html']
            }
        });

})(angular, jQuery);